org.apache.hadoop.mapreduce.jobhistory

## Class TaskStarted.Builder

- java.lang.Object
- - org.apache.avro.data.RecordBuilderBase<T>
  - - org.apache.avro.specific.SpecificRecordBuilderBase<TaskStarted>
    - - org.apache.hadoop.mapreduce.jobhistory.TaskStarted.Builder

- All Implemented Interfaces:
    org.apache.avro.data.RecordBuilder<TaskStarted>
  Enclosing class:
    TaskStarted

      public static class TaskStarted.Builder
      extends org.apache.avro.specific.SpecificRecordBuilderBase<TaskStarted>
      implements org.apache.avro.data.RecordBuilder<TaskStarted>

  RecordBuilder for TaskStarted instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TaskStarted` | `build()`
    `TaskStarted.Builder` | `clearSplitLocations()` Clears the value of the 'splitLocations' field
    `TaskStarted.Builder` | `clearStartTime()` Clears the value of the 'startTime' field
    `TaskStarted.Builder` | `clearTaskid()` Clears the value of the 'taskid' field
    `TaskStarted.Builder` | `clearTaskType()` Clears the value of the 'taskType' field
    `CharSequence` | `getSplitLocations()` Gets the value of the 'splitLocations' field
    `Long` | `getStartTime()` Gets the value of the 'startTime' field
    `CharSequence` | `getTaskid()` Gets the value of the 'taskid' field
    `CharSequence` | `getTaskType()` Gets the value of the 'taskType' field
    `boolean` | `hasSplitLocations()` Checks whether the 'splitLocations' field has been set
    `boolean` | `hasStartTime()` Checks whether the 'startTime' field has been set
    `boolean` | `hasTaskid()` Checks whether the 'taskid' field has been set
    `boolean` | `hasTaskType()` Checks whether the 'taskType' field has been set
    `TaskStarted.Builder` | `setSplitLocations(CharSequence value)` Sets the value of the 'splitLocations' field
    `TaskStarted.Builder` | `setStartTime(long value)` Sets the value of the 'startTime' field
    `TaskStarted.Builder` | `setTaskid(CharSequence value)` Sets the value of the 'taskid' field
    `TaskStarted.Builder` | `setTaskType(CharSequence value)` Sets the value of the 'taskType' field

    - ### Methods inherited from class org.apache.avro.data.RecordBuilderBase

      `data, defaultValue, equals, fields, fieldSetFlags, hashCode, isValidValue, schema, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getTaskid

          public CharSequence getTaskid()

      Gets the value of the 'taskid' field

    - #### setTaskid

          public TaskStarted.Builder setTaskid(CharSequence value)

      Sets the value of the 'taskid' field

    - #### hasTaskid

          public boolean hasTaskid()

      Checks whether the 'taskid' field has been set

    - #### clearTaskid

          public TaskStarted.Builder clearTaskid()

      Clears the value of the 'taskid' field

    - #### getTaskType

          public CharSequence getTaskType()

      Gets the value of the 'taskType' field

    - #### setTaskType

          public TaskStarted.Builder setTaskType(CharSequence value)

      Sets the value of the 'taskType' field

    - #### hasTaskType

          public boolean hasTaskType()

      Checks whether the 'taskType' field has been set

    - #### clearTaskType

          public TaskStarted.Builder clearTaskType()

      Clears the value of the 'taskType' field

    - #### getStartTime

          public Long getStartTime()

      Gets the value of the 'startTime' field

    - #### setStartTime

          public TaskStarted.Builder setStartTime(long value)

      Sets the value of the 'startTime' field

    - #### hasStartTime

          public boolean hasStartTime()

      Checks whether the 'startTime' field has been set

    - #### clearStartTime

          public TaskStarted.Builder clearStartTime()

      Clears the value of the 'startTime' field

    - #### getSplitLocations

          public CharSequence getSplitLocations()

      Gets the value of the 'splitLocations' field

    - #### setSplitLocations

          public TaskStarted.Builder setSplitLocations(CharSequence value)

      Sets the value of the 'splitLocations' field

    - #### hasSplitLocations

          public boolean hasSplitLocations()

      Checks whether the 'splitLocations' field has been set

    - #### clearSplitLocations

          public TaskStarted.Builder clearSplitLocations()

      Clears the value of the 'splitLocations' field

    - #### build

          public TaskStarted build()

      Specified by:
        `build` in interface `org.apache.avro.data.RecordBuilder<TaskStarted>`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.